Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.svn
Class SvnWorkspace.SvnCommand

    java.lang.Object
      org.modeshape.connector.svn.SvnWorkspace.SvnCommand

All Implemented Interfaces:
  PathWorkspace.ChangeCommand<PathNode>

Direct Known Subclasses:
  SvnWorkspace.SvnCompositeCommand, SvnWorkspace.SvnPutContentCommand, SvnWorkspace.SvnPutFileCommand, SvnWorkspace.SvnPutFolderCommand, SvnWorkspace.SvnRemoveCommand

Enclosing class:
  SvnWorkspace

    protected class SvnWorkspace.SvnCommand

extends Object
implements PathWorkspace.ChangeCommand<PathNode>

Field Summary
`protected org.tmatesoft.svn.core.io.ISVNEditor` | `editor`

Constructor Summary
`protected` | `SvnWorkspace.SvnCommand(ScmAction action)`

Method Summary
`void` | `apply()` Make the change represented by this command permanent.
`void` | `setEditor(org.tmatesoft.svn.core.io.ISVNEditor editor)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### editor

    protected org.tmatesoft.svn.core.io.ISVNEditor editor

Constructor Detail

### SvnWorkspace.SvnCommand

    protected SvnWorkspace.SvnCommand(ScmAction action)

Method Detail

### setEditor

    public void setEditor(org.tmatesoft.svn.core.io.ISVNEditor editor)

### apply

    public void apply()

  Description copied from interface: `PathWorkspace.ChangeCommand`
  Make the change represented by this command permanent.

  Specified by:
    `apply` in interface `PathWorkspace.ChangeCommand<PathNode>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.